Name: mythes-fr
Summary: French thesaurus
Version: 2.2.2
Release: %mkrel 4
Source: http://www.dicollecte.org/download/fr/thesaurus-v%{version}.zip
Group: Text tools 
URL: http://www.dicollecte.org/home.php?prj=fr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
License: LGPLv2+
BuildArch: noarch
Requires: mythes
Requires: locales-fr

%description
French thesaurus.

%prep
%setup -q -c

%build
for i in README_thes_fr.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p thes_fr.dat $RPM_BUILD_ROOT/%{_datadir}/mythes/th_fr_FR_v2.dat
cp -p thes_fr.idx $RPM_BUILD_ROOT/%{_datadir}/mythes/th_fr_FR_v2.idx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README_thes_fr.txt
%{_datadir}/mythes/*



%changelog

* Fri Mar 29 2013 tv <tv> 2.2.2-4.mga3
+ Revision: 406104
- requires locales-mythes-fr (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 2.2.2-3.mga3
+ Revision: 360598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 dmorgan <dmorgan> 2.2.2-2.mga1
+ Revision: 68434
- imported package mythes-fr

